Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class BodyPartAttachment

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.BodyPartAttachment

All Implemented Interfaces:
  Attachment

    public class BodyPartAttachment

extends java.lang.Object
implements Attachment

Attachment for a BodyPart

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Attachment
`Attachment.AttachmentEncoding, Attachment.AttachmentType`

Constructor Summary
`BodyPartAttachment(javax.mail.BodyPart bodyPart, WsdlOperation operation, boolean isRequest)`

Method Summary
`Attachment.AttachmentType` | `getAttachmentType()`
`java.lang.String` | `getContentID()`
`java.lang.String` | `getContentType()`
`Attachment.AttachmentEncoding` | `getEncoding()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPart()`
`long` | `getSize()`
`java.lang.String` | `getUrl()`
`boolean` | `isCached()`
`void` | `release()`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setOperation(WsdlOperation operation)`
`void` | `setPart(java.lang.String part)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyPartAttachment

    public BodyPartAttachment(javax.mail.BodyPart bodyPart,
                              WsdlOperation operation,
                              boolean isRequest)

Method Detail

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `Attachment`

### getEncoding

    public Attachment.AttachmentEncoding getEncoding()

  Specified by:
    `getEncoding` in interface `Attachment`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.lang.Exception

  Specified by:
    `getInputStream` in interface `Attachment`
  Throws:
    `java.lang.Exception`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Attachment`

### getPart

    public java.lang.String getPart()

  Specified by:
    `getPart` in interface `Attachment`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `Attachment`

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in interface `Attachment`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `Attachment`

### setPart

    public void setPart(java.lang.String part)

  Specified by:
    `setPart` in interface `Attachment`

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `Attachment`

### getAttachmentType

    public Attachment.AttachmentType getAttachmentType()

  Specified by:
    `getAttachmentType` in interface `Attachment`

### release

    public void release()

### getContentID

    public java.lang.String getContentID()

  Specified by:
    `getContentID` in interface `Attachment`

### setOperation

    public void setOperation(WsdlOperation operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.